package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.Showroom;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 展厅管理Mapper接口
 * 
 * @author ics
 * @date 2024-03-12
 */
@Mapper
public interface ShowroomMapper extends BaseMapper<Showroom> {
    /**
     * 查询展厅管理
     * 
     * @param id 展厅管理ID
     * @return 展厅管理
     */
    Showroom selectShowroomById(Long id);

    /**
     * 查询展厅管理列表
     * 
     * @param showroom 展厅管理
     * @return 展厅管理集合
     */
    List<Showroom> selectShowroomList(Showroom showroom);

    /**
     * 新增展厅管理
     * 
     * @param showroom 展厅管理
     * @return 结果
     */
    int insertShowroom(Showroom showroom);

    /**
     * 修改展厅管理
     * 
     * @param showroom 展厅管理
     * @return 结果
     */
    int updateShowroom(Showroom showroom);

    /**
     * 删除展厅管理
     * 
     * @param id 展厅管理ID
     * @return 结果
     */
    int deleteShowroomById(Long id);

    /**
     * 批量删除展厅管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteShowroomByIds(String[] ids);
}
